caml-list - the Caml user's mailing list
 help / Atom feed
* [Caml-list] FrontC package
@ 2019-01-21  5:39 Kenneth Adam Miller
  2019-01-22 14:18 ` Ivan Gotovchits
  0 siblings, 1 reply; 9+ messages in thread
From: Kenneth Adam Miller @ 2019-01-21  5:39 UTC (permalink / raw)
  To: caml users

[-- Attachment #1: Type: text/plain, Size: 385 bytes --]

The FrontC package for version 3.4 cannot be installed and there is a 404
error not found at:

http://www.irit.fr/recherches/ARCHI/MARCH/frontc/Frontc-3.4.tgz

-- 
Caml-list mailing list.  Subscription management and archives:
https://sympa.inria.fr/sympa/arc/caml-list https://inbox.ocaml.org/caml-list
Forum: https://discuss.ocaml.org/
Bug reports: http://caml.inria.fr/bin/caml-bugs

[-- Attachment #2: Type: text/html, Size: 308 bytes --]

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: [Caml-list] FrontC package
  2019-01-21  5:39 [Caml-list] FrontC package Kenneth Adam Miller
@ 2019-01-22 14:18 ` Ivan Gotovchits
  2019-01-22 14:30   ` Kenneth Adam Miller
  2019-02-14 17:40   ` [Caml-list] the nocrypto package prevents building opam2 publish plugin Jocelyn Sérot
  0 siblings, 2 replies; 9+ messages in thread
From: Ivan Gotovchits @ 2019-01-22 14:18 UTC (permalink / raw)
  To: Kenneth Adam Miller; +Cc: caml users

[-- Attachment #1: Type: text/plain, Size: 1058 bytes --]

Hi Kenneth,

The FrontC package was adopted by the BAP Team [1],[2],[3], so if you have
any links that still follow to the old repository, then please do update
your opam. The old package is also mirrored on one of our servers, we have
sometimes issues with SSL keys, that we need to update manually, but this
issue is resolved now, so even for the old opam, it should work.

Cheers,
Ivan Gotovchits


[1]: https://github.com/ocaml/opam-repository/pull/13012
[2]: https://github.com/ocaml/opam-repository/pull/13032
[3]: https://github.com/BinaryAnalysisPlatform/FrontC


On Mon, Jan 21, 2019 at 12:39 AM Kenneth Adam Miller <
kennethadammiller@gmail.com> wrote:

> The FrontC package for version 3.4 cannot be installed and there is a 404
> error not found at:
>
> http://www.irit.fr/recherches/ARCHI/MARCH/frontc/Frontc-3.4.tgz
>

-- 
Caml-list mailing list.  Subscription management and archives:
https://sympa.inria.fr/sympa/arc/caml-list https://inbox.ocaml.org/caml-list
Forum: https://discuss.ocaml.org/
Bug reports: http://caml.inria.fr/bin/caml-bugs

[-- Attachment #2: Type: text/html, Size: 1660 bytes --]

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: [Caml-list] FrontC package
  2019-01-22 14:18 ` Ivan Gotovchits
@ 2019-01-22 14:30   ` Kenneth Adam Miller
  2019-01-22 15:43     ` Ivan Gotovchits
  2019-02-14 17:40   ` [Caml-list] the nocrypto package prevents building opam2 publish plugin Jocelyn Sérot
  1 sibling, 1 reply; 9+ messages in thread
From: Kenneth Adam Miller @ 2019-01-22 14:30 UTC (permalink / raw)
  To: Ivan Gotovchits; +Cc: caml users

[-- Attachment #1: Type: text/plain, Size: 1267 bytes --]

But I already did do an opam update, and it still tried to pull a FrontC
version that was stale.

On Tue, Jan 22, 2019 at 9:18 AM Ivan Gotovchits <ivg@ieee.org> wrote:

> Hi Kenneth,
>
> The FrontC package was adopted by the BAP Team [1],[2],[3], so if you have
> any links that still follow to the old repository, then please do update
> your opam. The old package is also mirrored on one of our servers, we have
> sometimes issues with SSL keys, that we need to update manually, but this
> issue is resolved now, so even for the old opam, it should work.
>
> Cheers,
> Ivan Gotovchits
>
>
> [1]: https://github.com/ocaml/opam-repository/pull/13012
> [2]: https://github.com/ocaml/opam-repository/pull/13032
> [3]: https://github.com/BinaryAnalysisPlatform/FrontC
>
>
> On Mon, Jan 21, 2019 at 12:39 AM Kenneth Adam Miller <
> kennethadammiller@gmail.com> wrote:
>
>> The FrontC package for version 3.4 cannot be installed and there is a 404
>> error not found at:
>>
>> http://www.irit.fr/recherches/ARCHI/MARCH/frontc/Frontc-3.4.tgz
>>
>

-- 
Caml-list mailing list.  Subscription management and archives:
https://sympa.inria.fr/sympa/arc/caml-list https://inbox.ocaml.org/caml-list
Forum: https://discuss.ocaml.org/
Bug reports: http://caml.inria.fr/bin/caml-bugs

[-- Attachment #2: Type: text/html, Size: 2146 bytes --]

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: [Caml-list] FrontC package
  2019-01-22 14:30   ` Kenneth Adam Miller
@ 2019-01-22 15:43     ` Ivan Gotovchits
  2019-01-22 15:58       ` Kenneth Adam Miller
  0 siblings, 1 reply; 9+ messages in thread
From: Ivan Gotovchits @ 2019-01-22 15:43 UTC (permalink / raw)
  To: Kenneth Adam Miller; +Cc: caml users

[-- Attachment #1: Type: text/plain, Size: 1513 bytes --]

Which version of opam are you using? It should be opam 2.x The 1.x version
of the opam-repository is no longer updated.

On Tue, Jan 22, 2019 at 9:29 AM Kenneth Adam Miller <
kennethadammiller@gmail.com> wrote:

> But I already did do an opam update, and it still tried to pull a FrontC
> version that was stale.
>
> On Tue, Jan 22, 2019 at 9:18 AM Ivan Gotovchits <ivg@ieee.org> wrote:
>
>> Hi Kenneth,
>>
>> The FrontC package was adopted by the BAP Team [1],[2],[3], so if you
>> have any links that still follow to the old repository, then please do
>> update your opam. The old package is also mirrored on one of our servers,
>> we have sometimes issues with SSL keys, that we need to update manually,
>> but this issue is resolved now, so even for the old opam, it should work.
>>
>> Cheers,
>> Ivan Gotovchits
>>
>>
>> [1]: https://github.com/ocaml/opam-repository/pull/13012
>> [2]: https://github.com/ocaml/opam-repository/pull/13032
>> [3]: https://github.com/BinaryAnalysisPlatform/FrontC
>>
>>
>> On Mon, Jan 21, 2019 at 12:39 AM Kenneth Adam Miller <
>> kennethadammiller@gmail.com> wrote:
>>
>>> The FrontC package for version 3.4 cannot be installed and there is a
>>> 404 error not found at:
>>>
>>> http://www.irit.fr/recherches/ARCHI/MARCH/frontc/Frontc-3.4.tgz
>>>
>>

-- 
Caml-list mailing list.  Subscription management and archives:
https://sympa.inria.fr/sympa/arc/caml-list https://inbox.ocaml.org/caml-list
Forum: https://discuss.ocaml.org/
Bug reports: http://caml.inria.fr/bin/caml-bugs

[-- Attachment #2: Type: text/html, Size: 2643 bytes --]

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: [Caml-list] FrontC package
  2019-01-22 15:43     ` Ivan Gotovchits
@ 2019-01-22 15:58       ` Kenneth Adam Miller
  2019-01-22 16:16         ` Ivan Gotovchits
  0 siblings, 1 reply; 9+ messages in thread
From: Kenneth Adam Miller @ 2019-01-22 15:58 UTC (permalink / raw)
  To: Ivan Gotovchits; +Cc: caml users

[-- Attachment #1: Type: text/plain, Size: 1647 bytes --]

I am using opam 2.x

On Tue, Jan 22, 2019 at 10:43 AM Ivan Gotovchits <ivg@ieee.org> wrote:

> Which version of opam are you using? It should be opam 2.x The 1.x version
> of the opam-repository is no longer updated.
>
> On Tue, Jan 22, 2019 at 9:29 AM Kenneth Adam Miller <
> kennethadammiller@gmail.com> wrote:
>
>> But I already did do an opam update, and it still tried to pull a FrontC
>> version that was stale.
>>
>> On Tue, Jan 22, 2019 at 9:18 AM Ivan Gotovchits <ivg@ieee.org> wrote:
>>
>>> Hi Kenneth,
>>>
>>> The FrontC package was adopted by the BAP Team [1],[2],[3], so if you
>>> have any links that still follow to the old repository, then please do
>>> update your opam. The old package is also mirrored on one of our servers,
>>> we have sometimes issues with SSL keys, that we need to update manually,
>>> but this issue is resolved now, so even for the old opam, it should work.
>>>
>>> Cheers,
>>> Ivan Gotovchits
>>>
>>>
>>> [1]: https://github.com/ocaml/opam-repository/pull/13012
>>> [2]: https://github.com/ocaml/opam-repository/pull/13032
>>> [3]: https://github.com/BinaryAnalysisPlatform/FrontC
>>>
>>>
>>> On Mon, Jan 21, 2019 at 12:39 AM Kenneth Adam Miller <
>>> kennethadammiller@gmail.com> wrote:
>>>
>>>> The FrontC package for version 3.4 cannot be installed and there is a
>>>> 404 error not found at:
>>>>
>>>> http://www.irit.fr/recherches/ARCHI/MARCH/frontc/Frontc-3.4.tgz
>>>>
>>>

-- 
Caml-list mailing list.  Subscription management and archives:
https://sympa.inria.fr/sympa/arc/caml-list https://inbox.ocaml.org/caml-list
Forum: https://discuss.ocaml.org/
Bug reports: http://caml.inria.fr/bin/caml-bugs

[-- Attachment #2: Type: text/html, Size: 3005 bytes --]

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: [Caml-list] FrontC package
  2019-01-22 15:58       ` Kenneth Adam Miller
@ 2019-01-22 16:16         ` Ivan Gotovchits
  0 siblings, 0 replies; 9+ messages in thread
From: Ivan Gotovchits @ 2019-01-22 16:16 UTC (permalink / raw)
  To: Kenneth Adam Miller; +Cc: caml users

[-- Attachment #1: Type: text/plain, Size: 2281 bytes --]

Well, if you will look into the opam repository [1], you will find that
there are no references to the old location left. So my assumption is that
you're using some other repository, other than the main one which is not
updated. Just remove it, or update it. Use the `opam repo list` command,
which will show you the list of repositories that you're using for the
current switch, and fix the accordingly.



[1]:
https://github.com/ocaml/opam-repository/blob/master/packages/FrontC/FrontC.3.4/opam

On Tue, Jan 22, 2019 at 10:57 AM Kenneth Adam Miller <
kennethadammiller@gmail.com> wrote:

> I am using opam 2.x
>
> On Tue, Jan 22, 2019 at 10:43 AM Ivan Gotovchits <ivg@ieee.org> wrote:
>
>> Which version of opam are you using? It should be opam 2.x The 1.x
>> version of the opam-repository is no longer updated.
>>
>> On Tue, Jan 22, 2019 at 9:29 AM Kenneth Adam Miller <
>> kennethadammiller@gmail.com> wrote:
>>
>>> But I already did do an opam update, and it still tried to pull a FrontC
>>> version that was stale.
>>>
>>> On Tue, Jan 22, 2019 at 9:18 AM Ivan Gotovchits <ivg@ieee.org> wrote:
>>>
>>>> Hi Kenneth,
>>>>
>>>> The FrontC package was adopted by the BAP Team [1],[2],[3], so if you
>>>> have any links that still follow to the old repository, then please do
>>>> update your opam. The old package is also mirrored on one of our servers,
>>>> we have sometimes issues with SSL keys, that we need to update manually,
>>>> but this issue is resolved now, so even for the old opam, it should work.
>>>>
>>>> Cheers,
>>>> Ivan Gotovchits
>>>>
>>>>
>>>> [1]: https://github.com/ocaml/opam-repository/pull/13012
>>>> [2]: https://github.com/ocaml/opam-repository/pull/13032
>>>> [3]: https://github.com/BinaryAnalysisPlatform/FrontC
>>>>
>>>>
>>>> On Mon, Jan 21, 2019 at 12:39 AM Kenneth Adam Miller <
>>>> kennethadammiller@gmail.com> wrote:
>>>>
>>>>> The FrontC package for version 3.4 cannot be installed and there is a
>>>>> 404 error not found at:
>>>>>
>>>>> http://www.irit.fr/recherches/ARCHI/MARCH/frontc/Frontc-3.4.tgz
>>>>>
>>>>

-- 
Caml-list mailing list.  Subscription management and archives:
https://sympa.inria.fr/sympa/arc/caml-list https://inbox.ocaml.org/caml-list
Forum: https://discuss.ocaml.org/
Bug reports: http://caml.inria.fr/bin/caml-bugs

[-- Attachment #2: Type: text/html, Size: 4102 bytes --]

^ permalink raw reply	[flat|nested] 9+ messages in thread

* [Caml-list]  the nocrypto package prevents building opam2 publish plugin
  2019-01-22 14:18 ` Ivan Gotovchits
  2019-01-22 14:30   ` Kenneth Adam Miller
@ 2019-02-14 17:40   ` Jocelyn Sérot
  2019-02-14 21:05     ` Daniel Bünzli
  1 sibling, 1 reply; 9+ messages in thread
From: Jocelyn Sérot @ 2019-02-14 17:40 UTC (permalink / raw)
  To: caml users

Hi,

I’ve cross-posted the issue on the opam2 [1] and nocrypto [2]  tracking systems but got no feedback.
Has anybody already encountered this problem ? 
Using the opam2 publish plugin was my main motivation for switching to opam2 :/

Jocelyn

[1] https://github.com/ocaml/opam-repository/issues/13363
[2] https://github.com/mirleft/ocaml-nocrypto/issues/154



^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: [Caml-list] the nocrypto package prevents building opam2 publish plugin
  2019-02-14 17:40   ` [Caml-list] the nocrypto package prevents building opam2 publish plugin Jocelyn Sérot
@ 2019-02-14 21:05     ` Daniel Bünzli
       [not found]       ` <0CA4CC4F-23C9-42F6-BDE3-0728F9F57E33@uca.fr>
  0 siblings, 1 reply; 9+ messages in thread
From: Daniel Bünzli @ 2019-02-14 21:05 UTC (permalink / raw)
  To: caml users, Jocelyn Sérot

 On 14 February 2019 at 18:39:33, Jocelyn Sérot (jocelyn.serot@uca.fr) wrote:
 
> I’ve cross-posted the issue on the opam2 [1] and nocrypto [2] tracking systems but got  
> no feedback.
> Has anybody already encountered this problem ?

I don't presumably on the same system, it seems a bit weird. Did you maybe upgrade your system or xcode lately ? And did you try to `opam reinstall cpuid` ? 

Best, 

Daniel



^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: [Caml-list] the nocrypto package prevents building opam2 publish plugin
       [not found]       ` <0CA4CC4F-23C9-42F6-BDE3-0728F9F57E33@uca.fr>
@ 2019-02-15  9:31         ` Jocelyn Sérot
  0 siblings, 0 replies; 9+ messages in thread
From: Jocelyn Sérot @ 2019-02-15  9:31 UTC (permalink / raw)
  To: caml users

[-- Attachment #1: Type: text/plain, Size: 525 bytes --]


Le 15 févr. 2019 à 10:20, Jocelyn Sérot <Jocelyn.Serot@uca.fr> a écrit :


Le 14 févr. 2019 à 22:05, Daniel Bünzli <daniel.buenzli@erratique.ch> a écrit :
> […]

> I don't presumably on the same system, it seems a bit weird. Did you maybe upgrade your system or xcode lately ?


No update on the macos/ gcc side recently. 
The last modification was the switch to opam2.

> And did you try to `opam reinstall cpuid` ? 
> 

Yes. Does not solve the problem (same error : symbol not found: ___cpuid). 


J


[-- Attachment #2: Type: text/html, Size: 1361 bytes --]

^ permalink raw reply	[flat|nested] 9+ messages in thread

end of thread, back to index

Thread overview: 9+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-21  5:39 [Caml-list] FrontC package Kenneth Adam Miller
2019-01-22 14:18 ` Ivan Gotovchits
2019-01-22 14:30   ` Kenneth Adam Miller
2019-01-22 15:43     ` Ivan Gotovchits
2019-01-22 15:58       ` Kenneth Adam Miller
2019-01-22 16:16         ` Ivan Gotovchits
2019-02-14 17:40   ` [Caml-list] the nocrypto package prevents building opam2 publish plugin Jocelyn Sérot
2019-02-14 21:05     ` Daniel Bünzli
     [not found]       ` <0CA4CC4F-23C9-42F6-BDE3-0728F9F57E33@uca.fr>
2019-02-15  9:31         ` Jocelyn Sérot

caml-list - the Caml user's mailing list

Archives are clonable: git clone --mirror https://inbox.ocaml.org/caml-list

AGPL code for this site: git clone https://public-inbox.org/ public-inbox